#define R1_PIN 3

// Last saved value
byte current_Value;

ZUNO_SETUP_CHANNELS(ZUNO_SIREN(getter, setter));

ZUNO_SETUP_SLEEPING_MODE(ZUNO_SLEEPING_MODE_FREQUENTLY_AWAKE);

void setup() {
  byte wakeup_reason = zunoGetWakeReason();
  pinMode(R1_PIN, OUTPUT); // setup pin as output

  if(wakeup_reason == ZUNO_WAKEUP_REASON_WUT)
  {
      digitalWrite (R1_PIN, LOW);
      current_Value=0;
      zunoSetBeamCountWU(0);    
  }
  
}

void loop() { 
  // this function sends the device into sleep (FLiRS mode)
  zunoSendDeviceToSleep();
}

void setter(byte value) {
  current_Value = value;
  if (value > 0) {                
    digitalWrite (R1_PIN, HIGH);
    zunoSetBeamCountWU(10);             // for reset the pin to LOW after 10 seconds
  } else {                        
    digitalWrite (R1_PIN, LOW);
    zunoSetBeamCountWU(0);     
  } 
}
 
byte getter() {
   return current_Value;
}


